@import url('https://fonts.googleapis.com/css2?family=Megrim&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Hachi+Maru+Pop&family=Megrim&family=Shippori+Antique+B1&family=Yomogi&display=swap');

* {
    padding: 0;
    margin: 0;
    color: #514D4D;
}

html {
    scroll-behavior: smooth;
}
body {
    background-color: #F5F1F1;
}
li {
    list-style: none;
}
/*
navbar
*/
nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
}
.nav1 {
    font-family: Megrim;
    font-weight: lighter;
    font-size: 3em;
    padding: 20px;
    width: 23%;
}
.navMob {
    visibility: hidden;
}
img {
    width: 10%;
}
.navList {
    display: flex;
    justify-content: space-evenly;
    list-style: none;
    font-family: Megrim;
    font-weight: bolder;
    width:30%;
    padding: 10px;
}
.nav-list-style {
    text-decoration:none;
    font-weight:bolder;
}

/*
History and about
*/
.history {
    padding: 20px;
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.history-topic {
    font-family: Megrim;
    font-size: 2em;
    font-weight: lighter;
    width: 35%;
    letter-spacing: 15px;
    text-align: end;
    padding: 20px;
}
.history-passage {
    padding:20px;
    width:70%;
    font-family: yomogi;
    letter-spacing: 5px;
    margin: 20px auto; 
    line-height: 40px;
}
/*
about
*/

.about {
    height: 114vh;
    display: flex;
    flex-direction: column;
    filter: drop-shadow(-1px 6px 3px rgba(50, 50, 0, 0.5));
}
.about-rect {
    clip-path: polygon(0 30%, 100% 0, 100% 70%, 0% 100%);
    background-color: #FB7477;
    height:100vh;
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: -1;
}
.about-topic {
    font-family: Megrim;
    font-size:2em;
    letter-spacing: 15px;
    color: whitesmoke;
    padding: 10px;
    width: 60%;
    text-align: end;
}
.about-paragraph {
    padding:20px;
    width:70%;
    font-family: yomogi;
    letter-spacing: 5px;
    line-height: 40px;
    color: wheat;
    margin: 20px;
    text-align: end;
}
.about-pic {
    filter: drop-shadow(0 0 0.75rem);
    margin: -200px 200px;
    width: 30%;
    border-radius: 5px;
}

/*
menu
*/

.menu-banner {
    width:100%;
    margin-top: 50vh;
}
.menu {
    margin: 0 auto;
}
.menu-info {
    margin-top:30vh;
}
.menuitems {
    display: flex;
    width: 70%;
    align-items: center;
    justify-content: space-evenly;
    text-align: start;
    margin: 30vh auto;
}

.menuitems:nth-child(2n) {
    flex-direction: row-reverse;
    text-align: start;
}

.menu-image {
    width: 30%;
    filter: drop-shadow(-1px 6px 3px rgba(50, 50, 0, 0.5));
}


.menubar {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  width: 50%;
  margin: 10vh auto;
  font-family: Megrim;
}

#food {
    text-decoration: underline;
}

.menuLinks {
  list-style: none;
  font-weight: bolder;
  font-size: 1.5em;
  cursor: pointer;
  transition:0.2s ease-in-out;
}

.menuLinks:hover {
    transform: scale(1.1);
    text-shadow: 1px 5px 5px rgba(0,0,0,0.5);
}

.menu-title {
    text-align: center;
    font-family: Megrim;
    font-size:1.3em;
    font-weight: bold;
    letter-spacing: 10px;
    margin-left:20%;
    width:50%;
}

.price {
    font-family: Megrim;
    font-size: 1.1em;
    width: 80%;
    text-align:center;
    padding: 10px;
}
.menu-paragraph {
    padding: 10px;
    font-family: yomogi;
    letter-spacing: 5px;
    line-height: 40px;
    width: 100%;
}

.drinks {
    display: none;
    margin: 0 auto;
    width: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.drink-info {
    text-align: center;
    margin-top: 30vh;
}

.drinkItems {
    margin-top: 20vh;
}

.drinkMenu-title {
    font-family: Megrim;
    font-size: 1.5em;
}

.drinkTitles {
    font-family: Megrim;
    font-size: 2em;
    font-weight: bolder;
    margin-top: 20vh;
}

.drink-price {
    font-family: Megrim;
    font-size: 1.1em;
    width: 80%;
    margin: 0 auto;
    text-align:center;
    padding: 10px;
}

.drinkMenu-paragraph{
    padding: 10px;
    font-family: yomogi;
    letter-spacing: 5px;
    line-height: 40px;
    width: 80%;
    margin: 0 auto;
}
/*
contacts
*/

.contacts {
    margin-top: 50vh;
}

.contact-banner {
    width: 100%;
}

.contact-card {
    display: flex;
    justify-content: center;
    width: 70%;
    align-items: center;
    margin-top: 20vh;
    margin-bottom: 10vh;
    margin-right: auto;
    margin-left: auto;
    border-radius: 5px;
    padding: 20px;
    height: 60vh;
    font-family: Megrim;
    font-size: 2em;
    font-weight:lighter;
    text-align: center;
    background-color: #FFD9D9;
    box-shadow: 2px 5px 5px rgba(0,0,0,0.5);
}

.contact-text {
    list-style: none;
    letter-spacing: 15px;
    padding: 20px;
    color: #CD9C9C;
}

.location {
    text-decoration: none;
    color:#CD9C9C;
    transition:0.5s ease-in-out;
}
.location:hover {
    background-color: #CD9C9C;
    padding: 15px;
    border-radius: 10px;
    color:ivory;
}

.scrollToTop {
    width: 5%;
    text-align: center;
    font-family: Megrim;
    font-size: 1.3em;
    padding: 20px;
    position:fixed;
    top: 90vh;
    right: 0;
    visibility: hidden;
}




/**
responsive  part
*/
@media (max-width: 960px) {
    nav {
        flex-direction: column;
    }
    .nav1 {
        position: absolute;
        left:0;
        visibility: hidden;
    }
    .navList {
        width: 100%;
        padding: 20px;
    }
    .navMob {
        visibility: visible;
        font-family: Megrim;
        font-weight: lighter;
        letter-spacing: 0.8em;
        text-align: center;
    }


/*
History and about
*/
    .history-topic {
        width: 90%;
        text-align:center;
    }
    .history-passage {
        letter-spacing: 0;
        width: 90%;
    }
/*
about    
*/
    .about-rect {
        clip-path: none;
        height:70vh;
    }
    .about-paragraph {
        letter-spacing: 0;
        width:90%;
        text-align: right;
    }
    .about-pic {
        margin: -100px auto;
        width: 70%;
    }
/*
menu
*/
    .menu {
        width:100%;
    }

    .menuitems {
        display: flex;
        width: 90%;
        flex-direction:column;
        text-align:start;
    }

    .menuitems:nth-child(2n) {
        flex-direction: column;
        text-align:start;
    }
    .menu-image{
        width: 70%;
    }
    .menu-title {
        margin:0;
        width:90%;
        text-align:center;
        font-size: 1.2em;
        padding:10px;
    }
    .price {
        width:90%;
        padding:10px;
        font-size: 1em;
    }
    .menu-paragraph{
        width: 100%;
    }

    .contacts {
        width: 100%;
    }

    .contact-card {
        font-size: 1em;
        width: 85%;
        height:50vh;
        border-radius:0;
        box-shadow: none;
    }
    .contact-text {
        letter-spacing: 10px;
    }
    .scrollToTop {
        width: 100%;
    }
}




/*
smallest
*/
@media (max-width: 450px) {
    .about-rect {
        height:100vh;
    }
    .about-paragraph{
        text-align: start;
    }
}
